c =int(input())
j = int(input())
n = int(input())
x = int(input())
b = j*n*x
s = b/2
ffff = s/2
ffg = ffff/2
tty= ffg/2
hhj = tty/2
jjio =hhj/2
mmmxc = jjio/2
muuji = mmmxc/2
print(s+ffff+ffg+tty+hhj+jjio+mmmxc+muuji)

    

